Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226120 - Merge Review: make
Summary: Merge Review: make
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: F 8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-05 15:10:06 UTC
mlichvar: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:36:53 UTC
Fedora Merge Review: make

http://cvs.fedora.redhat.com/viewcvs/devel/make/
Initial Owner: pmachata@redhat.com

Comment 1 Petr Machata 2007-02-07 18:13:59 UTC
Tidied up version commited, not built.
rpmlint is silent, for both source and binary rpm.

Comment 2 Miroslav Lichvar 2007-09-06 11:16:34 UTC
I'll look into this.

Comment 3 Miroslav Lichvar 2007-09-06 12:54:45 UTC
OK:
- rpmlint is silent
- the package is named according to the Package Naming Guidelines
- the spec file name matches the base package %{name}
- the package is licensed with a Fedora approved license
- the License field in the package spec file matches the actual license (GPLv2+)
- the spec file is written in American English
- the spec file for the package is legible
- the sources used to build the package matches the upstream source
- all build dependencies are listed in BuildRequires
- the spec file handles locales properly
- the package owns all directories that it creates
- the package does not contain any duplicate files in the %files listing
- permissions on files are set properly
- the package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT
- the package consistently uses macros
- the package contains code, or permissible content
- files included as %doc don't affect the runtime of the application
- the package does not own files or directories already owned by other packages
- at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT
- all filenames in the package are valid UTF-8
- scriptlets are sane

Need some work:
- please add COPYING and AUTHORS files to %doc
- unused siglist patch should be removed in CVS
- would be nice to have a symlink for man page gmake.1.gz -> make.1.gz
- please consider removing the first hunk in the noclock patch and removing the
config/missing calls as nothing else is touching configure.in
- I'd suggest removing the second paragraph from the package description, users
don't really need to have make installed


Comment 4 Petr Machata 2007-10-04 17:31:25 UTC
I cleaned up the spec per your comments and committed it.

Comment 5 Miroslav Lichvar 2007-10-05 11:35:41 UTC
Approved.

Comment 6 Petr Machata 2007-10-05 15:10:06 UTC
Built.


Note You need to log in before you can comment on or make changes to this bug.